#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "about.hpp"
#include "ucompose.hpp"

extern "C" {
#include <avformat.h>
}
#include <list>

AboutDialog::AboutDialog()
{
	authors_list.push_back("Siavash Safi <siavash@users.osp.ir>");
	set_authors( authors_list );
	set_name("Mobile Video Converter");
	set_version(VERSION);
	set_comments (String::ucompose ("A GUI for converting video files to the formats supported by mobile devices.\n\nPowered by\ngtkmm %1.%2.%3, libavformat %4 and libavcodec %5",
							GTKMM_MAJOR_VERSION,
							GTKMM_MINOR_VERSION,
							GTKMM_MICRO_VERSION,
							AV_STRINGIFY(LIBAVFORMAT_VERSION),
							AV_STRINGIFY(LIBAVCODEC_VERSION)));
	set_copyright("Copyright (c) 2007 Siavash Safi");
	set_logo( Gdk::Pixbuf::create_from_file( DATASDIR "logo.png") );
	set_website("http://movic.osp.ir/");
	set_website_label("Movic Homepage");
	set_license("This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.\n\nThis program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.\n\nYou should have received a copy of the GNU General Public License along with this program.  If not, see <http://www.gnu.org/licenses/>.");
	set_wrap_license( true );
}

AboutDialog::~AboutDialog()
{
}
