#ifndef AVINFO_H
#define AVINFO_H

extern "C" {
#include <avformat.h>
}
#include <string>

class AVInfo
{
	unsigned int	duration;
	unsigned int	width;
	unsigned int	height;
	double			aspect;
	std::string		vcodec;
	unsigned int	vbitrate;
	float			framerate;
	std::string		acodec;
	unsigned int	abitrate;
	unsigned int	samplerate;

public:

	friend int get_avinfo (AVInfo *avinfo, std::string path);

	unsigned int	get_duration();
	unsigned int	get_width();
	unsigned int	get_height();
	double			get_aspect();
	std::string		get_vcodec();
	unsigned int	get_vbitrate();
	float			get_framerate();
	std::string		get_acodec();
	unsigned int	get_abitrate();
	unsigned int	get_samplerate();
};

int get_avinfo (AVInfo *avinfo, std::string path);

#endif
