#ifndef FORMATS_H
#define FORMATS_H

#include <gtkmm/dialog.h>
#include <gtkmm/notebook.h>
#include <gtkmm/scrolledwindow.h>
#include <gtkmm/liststore.h>
#include <gtkmm/treeview.h>

class Formats : public Gtk::Dialog
{
public:

	Formats();
	virtual ~Formats();

protected:

	Gtk::VBox		m_VBox;
	Gtk::HBox		m_HBox1, m_HBox2;
	Gtk::Notebook	m_Notebook;
	Gtk::ScrolledWindow	m_ScrolledWindow_Formats, m_ScrolledWindow_Codecs;
	Gtk::TreeView	m_TreeView_Formats, m_TreeView_Codecs;
	Gtk::Label		m_Label_Info, m_Label_Note;

	class ModelColumns : public Gtk::TreeModel::ColumnRecord
	{
	public:

		ModelColumns() { add(m_col_decode); add(m_col_encode); add(m_col_type); add(m_col_name); add(m_col_description); }

		Gtk::TreeModelColumn <bool>		m_col_decode;
		Gtk::TreeModelColumn <bool>		m_col_encode;
		Gtk::TreeModelColumn <std::string>	m_col_name;
		Gtk::TreeModelColumn <std::string>	m_col_type;
		Gtk::TreeModelColumn <std::string>	m_col_description;
	};

	ModelColumns	m_ModelColumns_Formats, m_ModelColumns_Codecs;
	Glib::RefPtr<Gtk::ListStore> m_refTreeModel_Formats, m_refTreeModel_Codecs;
	typedef Gtk::TreeModel::Children tree_children_t;

};

#endif
